//
//  INIntrocudeController.swift
//  Introduce
//
//  Created by 胡志强 on 2021/11/29.
//

import Foundation
import BFUIKit
import Photos
import BFRecordScreenKit

class INIntrocudeController: BFBaseViewController {
    
    var asset:PHAsset?
    let recordScreenVC = BFRecordScreenController()
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        showNavigation()
    }

    override func viewDidLoad() {
        super.viewDidLoad()
        navHeadImageView?.backgroundColor = .clear
        leftButton(image: nil, imageName: nil, tintColor: .white)
        
        let exportBtn = UIButton()
        exportBtn.backgroundColor = UIColor.hexColor(hexadecimal: "#28BE67")
        exportBtn.setTitle("导出", for: .normal)
        exportBtn.addCorner(corner:4)
        exportBtn.titleLabel?.font = UIFont.systemFont(ofSize: 16)
        exportBtn.addTarget(self, action: #selector(exportAction), for: .touchUpInside)
        navHeadImageView?.addSubview(exportBtn)
        exportBtn.snp.makeConstraints { make in
            make.right.equalTo(-12)
            make.width.equalTo(60)
            make.height.equalTo(36)
            make.centerY.equalTo(backButton!)
        }
        
        addChild(recordScreenVC)
        recordScreenVC.asset = asset
        recordScreenVC.view.frame = self.view.frame
        view.addSubview(recordScreenVC.view)
    }
    
    @objc func exportAction(){
        let controller = INVideoExportController()
        controller.export.voiceList = recordScreenVC.recordList
        controller.export.asset = recordScreenVC.avasset
        self.navigationController?.pushViewController(controller, animated: true)
    }
    
}
